/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

body {
    line-height: 1;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

/* ================== My own stylesss =============================== */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --primary-brown: #5d4037;
    --dark-brown: #3e2723;
    --cream: #faf8f5;
    --sand: #efebe9;
    --accent-orange: #d97826;
    --text-dark: #2c2c2c;
}

body {
    font-family: 'Source Sans 3', 'Helvetica Neue', 'Arial', sans-serif;
    line-height: 1.5;
    font-size: 1.125em;
    color: var(--text-dark);
    background: var(--cream);
}

/* This here defines the  general base rules i want for my heading so I dont have to repeat in each section */
h1,
h2,
h3,
h4,
h5,
h6,
a {
    font-family: "Roboto Condensed", 'Segoe UI', 'Helvetica', sans-serif;
}

h1 {
    font-size: 1.6em;
    text-align: center;
    font-weight: 700;
    position: relative;
    padding-bottom: 0.2em;
}

h1::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100px;
    height: 4px;
    background: linear-gradient(90deg, var(--accent-orange), var(--dark-brown));
}

h2 {
    font-size: 1.7em;
    font-weight: 700;
    color: var(--dark-brown);
    position: relative;
    padding-bottom: 0.2em;

}


h3 {
    color: var(--primary-brown);
    font-size: 1.2em;
    font-weight: 700;
}

/* This here defines the general base rules I want for my anchor tage and the different
 states so I dont have to repeat in each section */

a {
    font-size: 1em;
    font-weight: 500;
    color: var(--cream);
    text-decoration: none;
    text-align: center;
}
  /* font-family: var(--f-display);
  color: var(--c-ember);
  text-decoration: underline;
  text-underline-offset: 3px;
  transition: color 0.2s; */

a:visited {
    color: var(--cream);
}

a:hover,
a:active {
    color: var(--accent-orange);
}

a:focus-visible {
    outline: 2px solid var(--accent-orange);
    outline-offset: 3px;
}

/* This here defines the general base rules I want for my articles different
 states so I dont have to repeat in each section */

article {
    background: white;
    border-radius: 10px;
    padding: 1.5em;
    box-shadow: 0 4px 12px rgba(93, 64, 55, 0.164);
}

article h2 {
    margin-bottom: 0.3em;
}


article a {
    padding: 0.5em 1.5em;
    background: var(--accent-orange);
    border-radius: 3px;
    transition: background 0.13s;
    font-size: 0.9em;
    font-weight: 500;
}


article a:visited,
article a:active {
    color: var(--cream);
}

article a:hover {
    background: var(--dark-brown);
    color: var(--cream);
}

article a:focus-visible {
    outline: 2px solid var(--accent-orange);
    outline-offset: 3px;
    background-color: var(--cream);
}


/* ======== NAVIGATION ======== */
/* ======== NAVIGATION ======== */

nav {
    position: sticky;
    top: 0;
    z-index: 1000;
    padding: 0.5em 1.5em 0.1em;
    background: #161616;
    border-bottom: 1px solid rgba(255, 255, 255, 0.08);
}

nav>a {
    font-size: 1.3em;
    font-weight: 700;
    color: var(--cream);
    text-decoration: none;
}

/* Hide checkbox */
nav input {
    display: none;
}

/* Hamburger icon - hidden on desktop */
nav label {
    font-size: 2em;
    color: var(--cream);
    cursor: pointer;
    float: right;
}

/* Menu - hidden by default on mobile */
nav ul {
    display: none;
    list-style: none;
    margin-top: 1em;
}

/* Show menu when checkbox is checked */
nav input:checked~ul {
    display: block;
}

nav ul a {
    display: block;
    padding: 1em 0;
    color: var(--cream);
    text-decoration: none;
    font-weight: 500;
    border-top: 1px solid rgba(255, 255, 255, 0.08);
}

/* this highlights the page im currently on */
nav a[aria-current="page"] {
    font-weight: 700;
    color: var(--accent-orange);
}

nav a>img {
    width: 16%;
}

/* ====== MAIN SECTION =======*/
/* ====== MAIN SECTION =======*/

/* bases rules for all my section directly as a child of main */
main>section {
    padding: 4em 1.5em;
}

/* bases rules for all my h2 directly as a child of section */

main>section>h2 {
    text-align: center;

}

main>section>h2::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100px;
    height: 4px;
    background: linear-gradient(90deg, var(--accent-orange), var(--dark-brown));
}



/* ====== HOME PAGE ====== */
/* ====== HOME PAGE SECTIONS ====== */

/* Hero Section */
/* Hero Section */


#hero {
    background-image: url(images/hero-image.webp);
    background-position: center;
    background-size: cover;
    display: grid;
    gap: 0.5em;
    position: relative;
}

/* the overlay on the background image*/
#hero div:first-child {
    height: 100%;
    width: 100%;
    background: linear-gradient(to right,
            rgba(7, 7, 8, 0.95),
            rgba(7, 7, 8, 0));
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
}

/* bringing the contents above the the overlay on the background image*/

#hero h1,
#hero p,
#hero div {
    z-index: 1;
}

#hero h1 {
    font-size: 3.3em;
    color: var(--cream);
    text-align: left;
    line-height: 1.2;
    padding-bottom: 0;

}

#hero h1::after {
    width: 0;
    height: 0;
}

#hero h1>span {
    color: var(--accent-orange);
}

#hero p {
    opacity: 0.7;
    color: var(--cream);
    text-align: left;
    max-width: 280px;
    margin-bottom: 1em;
}

/* making the buttons in hero stay side by side */
#hero>div:last-child {
    display: flex;
    gap: 1.2em;
}

#hero a {
    padding: 0.4em 1em;
    background: var(--accent-orange);
    border-radius: 5px;
    transition: background 0.13s;
}
#hero a:first-child {
    background:#a94c00;
}


/* selecting the last anchor tag and styling differently  */

#hero>div:last-child>a:last-child {
    background: transparent;
    border: 1px solid var(--cream);

}

#hero a:hover,
#hero>div:last-child>a:last-child:hover {
    color: var(--cream);
    background: var(--dark-brown);
}

/* New-products Section */
/* New-products Section */

#new-products {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5em;
}


#new-products h3 {
    margin: 0.5em 0;
}

#new-products img {
    width: 100%;
    height: auto;
}

#new-products a {
    margin-top: 1em;
    font-size: 1.4em;
    text-decoration: underline;
    text-underline-offset: 4px;
    color: #a94c00;
    grid-column: 1 / -1;
}

#new-products a:hover {
    color: var(--dark-brown);
}

/* Why Us Section */
/* Why Us Section */

#why-us {
    background: var(--sand);
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5em;
}

#why-us h3 {
    margin-bottom: 0.3em;
}

/* Upcoming-events Section */
/* Upcoming-events Section */

#upcoming-events {
    background-image: url(images/events-cover.webp);
    background-position: center;
    background-size: cover;
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5em;

}


#upcoming-events h2 {
    color: var(--cream);
}

time {
color: #b45309;    font-weight: 500;

}

#upcoming-events a {
    text-decoration: underline;
    font-size: 1.4em;
    text-underline-offset: 4px;

    transition: color 0.3s;

}

#upcoming-events h3 {

    margin: 0.2em 0;
}

#upcoming-events div a:hover {
    color: var(--dark-brown);
}

/* Location Section */
/* Location Section */

#location {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5em;
    background: var(--cream);
}

#location iframe {
    width: 100%;
    max-width: 600px;
    height: 400px;
    border-radius: 10px;
}

#location div>div {
    margin-bottom: 1em;
}



/* ========== FOOTER ========== */
/* ========== FOOTER ========== */

footer {
    background: var(--dark-brown);
    color: var(--cream);
    padding: 3em 1.5em;
    display: flex;
    flex-direction: column;
    gap: 1.1em;
}

footer h3 {
    color: var(--accent-orange);
    margin-bottom: 0.3em;
}

footer ul {
    list-style: none;
}

footer a {
    font-weight: 400;
    transition: color 0.3s;

}




/* ========== GEAR PAGE ========== */
/* ========== GEAR PAGE ========== */
/* ========== GEAR PAGE ========== */


#gears {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2em;
}

/* makes the h1 take full width in the grid */
#gears h1 {
    grid-column: 1 / -1;
}


#gears figure {
    position: relative;
}

#gears img {
    width: 100%;
    height: auto;
    display: block;
}

#gears figure::after {
    content: '40+ in store';
    position: absolute;
    top: 0;
    right: 0;
    color: var(--cream);
    background: linear-gradient(90deg, var(--accent-orange), var(--dark-brown));
    padding: 0.5em 1em;
    font-size: 0.8em;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.3);
}

#gears h2 {
    line-height: 1.2;
    margin-top: 0.5em;
}

#gears p {
    margin-bottom: 1.5em;
}


#gears article {
    display: flex;
    flex-direction: column;
}

#gears article a {
    margin-top: auto;
    background-color:    #a94c00;;
  
}

/* ========== ABOUT PAGE ========== */
/* ========== ABOUT PAGE Sections ========== */


/* Story Section */
/* Story Section */

#story {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2em;
}

#story h1 {
    grid-column: 1 / -1;
}

#story article {
    border-left: 4px solid var(--accent-orange);
    margin-bottom: 2em;
}

#story p {
    margin-bottom: 1.5em;

}

#story article p:first-child {
    color: #a94c00;
    margin-bottom: 1em;
}

/* Stats Section */
/* Stats Section */

#data-stats {
    background: var(--primary-brown);
    color: var(--cream);
    text-align: center;
}

#data-stats h2 {
    color: var(--cream);
    margin-bottom: 1em;
}



#data-stats ul {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2em;
    list-style: none;
    padding: 2em 0.5em;
}

#data-stats span {
    font-size: 2em;
    font-weight: 500;
    color: #f57f1f;
    display: block;
}

#data-stats p {
    color: var(--cream);
    font-size: 0.8em;
    opacity: 0.8;
}

/* Our Team Section */
/* OurTeam Section */

#our-team ul {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2em;
    list-style: none;
    margin-top: 2em;
}

#our-team img {
    width: 40%;
    height: auto;
}

#our-team span {
    color: #b55506;
    font-weight: 600;
    display: block;
    margin-bottom: 0.5em;
}

/* Visit CTA Section */
/* Visit CTA Section */

#visit {
    text-align: center;
    background: var(--primary-brown);
    color: #f5f5f5;
    padding: 3.5em 1.5em;
}

#visit h2 {
    color: var(--cream);
}

#visit p {
    color: var(--cream);
    margin: 1em auto;
}

#visit a {
    padding: 0.5em 1.5em;
    background: transparent;
    border: 1px solid var(--cream);
    border-radius: 3px;
    transition: background 0.13s;
    font-size: 0.9em;
    font-weight: 500;
}



/* ========== SERVICES PAGE ========== */
/* ========== SERVICES PAGE ========== */
#service {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2em;
}

#service h1 {
    grid-column: 1 / -1;

}




#service article {
    border-radius: 0;
    margin-bottom: 2em;
    border-radius: 3px;

    border-left: 4px solid var(--accent-orange);

}

#service article div {
    background: #f5f5f46c;
    /* border-radius: 5px; */
    padding: 1.2em 0.9em;

}

#service h2 {
    line-height: 1.2;
    margin-top: 0.5em;
}

#service p {
    margin-bottom: 1.5em;
    font-size: 0.9em;
}

#service h3 {
    font-size: 1em;

}

#service div h3:last-of-type {
    color: #f57f1f;
    padding-top: 1.5em;
    border-top: 2px solid #b85f103c;
    
}

/* ==========================================
   RESPONSIVENES - TABLET AND DESKTOP
   ========================================== */

@media (min-width: 660px) {
    h1 {
        font-size: 2.5em;
    }

    h2 {
        font-size: 1.8em;
    }

    h3 {
        font-size: 1.35em;
    }

    /* Navigation */
    nav {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 0.7em 3em;
    }

    nav label {
        display: none;
    }

    nav ul {
        display: flex;
        gap: 1.3em;
        margin: 0;
    }

    nav ul a {
        padding: 0;
        border: none;

    }

    nav a>img {
        width: 80%;
    }

    /* Main sections */
    main>section {
        padding: 4em 3em;
    }

    main>section>h2 {
        grid-column: 1 / -1;
    }


    /* Hero */

    #hero>h1 {
        font-size: 4em;
        max-width: 320px;
        line-height: 1.1;

    }

    #hero>p {
        max-width: 500px;
        font-size: 1.3em;

    }



    /* new-products Grid */
    #new-products {
        grid-template-columns: repeat(2, 1fr);
    }

    /* Why Us Grid */
    #why-us {
        grid-template-columns: repeat(2, 1fr);
    }

    /* Location */
    #location {
        grid-template-columns: repeat(2, 1fr);
    }

    /* Footer */
    footer {
        flex-direction: row;
        justify-content: space-evenly;
    }


    /* Gear Page */
    #gears {
        grid-template-columns: repeat(2, 1fr);
    }


    /* About - Stats */
    #data-stats ul li span {
        font-size: 2.5em;
    }

    #data-stats span {
        font-size: 2.5em;
    }

    #data-stats p {
        font-size: 0.95em;
    }

    /* About - Team */
    #our-team ul {
        grid-template-columns: repeat(2, 1fr);
    }



}

/* ==========================================
   RESPONSIVENES DESKTOP
   ========================================== */

@media (min-width: 1000px) {
    h3 {
        font-size: 1.4em;
    }

    /* Main sections */
    /* Main sections */
    main>section {
        padding: 4em 12em;
        max-width: 1500px;
        margin: 0 auto;
    }

    #home-page main>section {
        padding: 4em;
    }

    main>section>h2 {
        margin-bottom: 0.2em;
        font-size: 2.5em;
    }

    /* Hero */

    #hero>h1 {
        font-size: 5em;
        max-width: 450px;
    }

    #hero>p {
        max-width: 500px;
    }

    #hero a {
        padding: 0.9em 1.5em;
    }

    /* new-products  */
    #new-products {
        grid-template-columns: repeat(3, 1fr);
    }

    /* Why Us  */
    #why-us {
        grid-template-columns: repeat(3, 1fr);
    }

    /* upcoming-events */
    #upcoming-events {
        padding: 4em 22em;
        grid-template-columns: repeat(2, 1fr);
    }

    #upcoming-events a {
        grid-column: 1/-1;
    }

    /* footer */
    footer h3 {
        font-size: 1.3em;
    }

    footer p,
    footer a {
        font-size: 1em;
    }

    footer li {
        margin-bottom: 0.4em;
    }


    /* Gear Page */
    #gears {
        grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
        padding: 4em;

    }

    #data-stats,
    #our-team {
        padding: 5em;

    }

    #data-stats ul {
        grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
    }

    #data-stats ul li span {
        font-size: 3.5em;
    }

    /* About - Team */
    #our-team ul {
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
        gap: 3em;
        margin-top: 3em;
    }

    /* Service and About - Visit CTA */

    #visit a {
        padding: 0.6em 3em;

    }

    #service p {
        margin-bottom: 1.5em;
        font-size: 1em;
    }

    #service h3 {
        font-size: 1.1em;

    }



}